UM .NET API 6.17.1

- Main Page
- Related Pages
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
com.latencybusters.lbm.LBMMessageProperties Class Reference

Represents a collection of properties contained in an LBMMessage object. More...

Inheritance diagram for com.latencybusters.lbm.LBMMessageProperties:

## Public Member Functions
| LBMMessageProperties ()
| Create an LBMMessageProperties object, used to associate properties with an outgoing message.
void | clear ()
| Clear all properties from this object.
void | clear (string key)
| Clear the property with the specified key from this object.
void | set (string key, byte value)
| Set a property to the provided byte value. More...
void | set (string key, short value)
| Set a property to the provided short value. More...
void | set (string key, int value)
| Set a property to the provided int value. More...
void | set (string key, long value)
| Set a property to the provided long value. More...
void | set (string key, float value)
| Set a property to the provided float value. More...
void | set (string key, double value)
| Set a property to the provided double value. More...
void | set (string key, bool value)
| Set a property to the provided boolean value. More...
void | set (string key, string value)
| Set a property to the provided string value. More...
bool | containsKey (string key)
| Test if the specified key is contained in the properties object. More...
bool | getBoolean (string key)
| Get the property with the specified key as a boolean. More...
byte | getByte (string key)
| Get the property with the specified key as a byte. More...
short | getShort (string key)
| Get the property with the specified key as a short. More...
int | getInteger (string key)
| Get the property with the specified key as a integer. More...
long | getLong (string key)
| Get the property with the specified key as a long. More...
float | getFloat (string key)
| Get the property with the specified key as a float. More...
double | getDouble (string key)
| Get the property with the specified key as a double. More...
string | getString (string key)
| Get the property with the specified key as a string. More...
IEnumerator< LBMMessageProperty > | GetEnumerator ()
| Get an enumerator.

## Detailed Description

Represents a collection of properties contained in an LBMMessage object.

## Member Function Documentation

bool com.latencybusters.lbm.LBMMessageProperties.containsKey | ( | string | key | ) |

Test if the specified key is contained in the properties object.

Parameters

  key | The name of the property

Returns
  True if the property has been set, False if the property isn't set.

bool com.latencybusters.lbm.LBMMessageProperties.getBoolean | ( | string | key | ) |

Get the property with the specified key as a boolean.

Parameters

  key | The name of the property

Returns
  The value of the property, converted to a boolean if necessary.

References com.latencybusters.lbm.LBMMessageProperty.getBoolean().

byte com.latencybusters.lbm.LBMMessageProperties.getByte | ( | string | key | ) |

Get the property with the specified key as a byte.

Parameters

  key | The name of the property

Returns
  The value of the property, converted to a byte if necessary.

References com.latencybusters.lbm.LBMMessageProperty.getByte().

double com.latencybusters.lbm.LBMMessageProperties.getDouble | ( | string | key | ) |

Get the property with the specified key as a double.

Parameters

  key | The name of the property

Returns
  The value of the property, converted to a double if necessary.

References com.latencybusters.lbm.LBMMessageProperty.getDouble().

float com.latencybusters.lbm.LBMMessageProperties.getFloat | ( | string | key | ) |

Get the property with the specified key as a float.

Parameters

  key | The name of the property

Returns
  The value of the property, converted to a float if necessary.

References com.latencybusters.lbm.LBMMessageProperty.getFloat().

int com.latencybusters.lbm.LBMMessageProperties.getInteger | ( | string | key | ) |

Get the property with the specified key as a integer.

Parameters

  key | The name of the property

Returns
  The value of the property, converted to a integer if necessary.

References com.latencybusters.lbm.LBMMessageProperty.getInteger().

long com.latencybusters.lbm.LBMMessageProperties.getLong | ( | string | key | ) |

Get the property with the specified key as a long.

Parameters

  key | The name of the property

Returns
  The value of the property, converted to a long if necessary.

References com.latencybusters.lbm.LBMMessageProperty.getLong().

short com.latencybusters.lbm.LBMMessageProperties.getShort | ( | string | key | ) |

Get the property with the specified key as a short.

Parameters

  key | The name of the property

Returns
  The value of the property, converted to a short if necessary.

References com.latencybusters.lbm.LBMMessageProperty.getShort().

string com.latencybusters.lbm.LBMMessageProperties.getString | ( | string | key | ) |

Get the property with the specified key as a string.

Parameters

  key | The name of the property

Returns
  The value of the property, converted to a string if necessary.

References com.latencybusters.lbm.LBMMessageProperty.getString().

void com.latencybusters.lbm.LBMMessageProperties.set | ( | string | key,
|  | byte | value
| ) |  |

Set a property to the provided byte value.

Parameters

  key | The name of the property to be set
  value | The value to be set

void com.latencybusters.lbm.LBMMessageProperties.set | ( | string | key,
|  | short | value
| ) |  |

Set a property to the provided short value.

Parameters

  key | The name of the property to be set
  value | The value to be set

void com.latencybusters.lbm.LBMMessageProperties.set | ( | string | key,
|  | int | value
| ) |  |

Set a property to the provided int value.

Parameters

  key | The name of the property to be set
  value | The value to be set

void com.latencybusters.lbm.LBMMessageProperties.set | ( | string | key,
|  | long | value
| ) |  |

Set a property to the provided long value.

Parameters

  key | The name of the property to be set
  value | The value to be set

void com.latencybusters.lbm.LBMMessageProperties.set | ( | string | key,
|  | float | value
| ) |  |

Set a property to the provided float value.

Parameters

  key | The name of the property to be set
  value | The value to be set

void com.latencybusters.lbm.LBMMessageProperties.set | ( | string | key,
|  | double | value
| ) |  |

Set a property to the provided double value.

Parameters

  key | The name of the property to be set
  value | The value to be set

void com.latencybusters.lbm.LBMMessageProperties.set | ( | string | key,
|  | bool | value
| ) |  |

Set a property to the provided boolean value.

Parameters

  key | The name of the property to be set
  value | The value to be set

void com.latencybusters.lbm.LBMMessageProperties.set | ( | string | key,
|  | string | value
| ) |  |

Set a property to the provided string value.

Parameters

  key | The name of the property to be set
  value | The value to be set

The documentation for this class was generated from the following file:

- LBMMessageProperties.cs